"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMIDI = void 0;
const react_1 = require("react");
const WebMidi = require("webmidi");
exports.useMIDI = () => {
    const [inputs, setInputs] = react_1.useState();
    const [outputs, setOutputs] = react_1.useState();
    const [accessError, setAccessError] = react_1.useState();
    WebMidi.enable((err) => {
        if (err) {
            setAccessError(err);
        }
        setInputs(WebMidi.inputs);
        setOutputs(WebMidi.outputs);
    });
    return {
        getOutputById: WebMidi.getOutputById,
        getInputById: WebMidi.getInputById,
        inputs,
        outputs,
        accessError,
    };
};
//# sourceMappingURL=useMIDI.js.map